Subject: Re: [lojban] optional punctuation

From: Robin Lee Powell <[email-masked]>
Date: Mon, 9 Jul 2001 09:55:19 -0700

On Mon, Jul 09, 2001 at 05:50:14PM +0100, And Rosta wrote:
> Nick:
> > You will have noticed that the Lojban-language preface of the lessons uses
> > optional punctuation, including ! and ; . I myself think optional
> > punctuation is a good and wondrous thing, because I find slabs of lowercase
> > Lojban with no punctuation and capitalisation indigestible. (I am very much
> > aware that punctuation and capitalisation are Western-only conventions;
> > then again, so is learning to read Latin script.)
> 
> Since punctuation is normally part of the orthographic rule set of a language,
> but it isn't part of Lojban's orthographic rule set, I wonder whether there
> are any feasible purely typographic solutions to the also to me real problem
> of slabs of relieflessly lowercase Lojban. For example, extra spaces could
> be left between sentences, stuff within lu quotes could be italicized, and
> so on. More unorthodoxly, one could, say, switch fonts for attidinals,
> shrink fonts for terminators, increase intercharacter spacing for the
> main word of the selbri, and use degrees of interword spacing to help
> indicate the phrase structure of the sentence [as per the speaker not as
> per the official grammar].

I use the vim context highliting mode, which colors the different types
differently. It's wonderful.

-Robin

-- 
http://www.digitalkingdom.org/~rlpowell/ BTW, I'm male, honest.
le datni cu djica le nu zifre .iku'i .oi le so'e datni cu to'e te pilno
je xlali -- RLP http://www.lojban.org/